<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Source code</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="source: package: org.apache.commons.cli, class: ParseException">
<meta name="generator" content="javadoc/SourceToHTMLConverter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body class="source-page">
<main role="main">
<div class="source-container">
<pre><span class="source-line-no">001</span><span id="line-1">/*</span>
<span class="source-line-no">002</span><span id="line-2">  Licensed to the Apache Software Foundation (ASF) under one or more</span>
<span class="source-line-no">003</span><span id="line-3">  contributor license agreements.  See the NOTICE file distributed with</span>
<span class="source-line-no">004</span><span id="line-4">  this work for additional information regarding copyright ownership.</span>
<span class="source-line-no">005</span><span id="line-5">  The ASF licenses this file to You under the Apache License, Version 2.0</span>
<span class="source-line-no">006</span><span id="line-6">  (the "License"); you may not use this file except in compliance with</span>
<span class="source-line-no">007</span><span id="line-7">  the License.  You may obtain a copy of the License at</span>
<span class="source-line-no">008</span><span id="line-8"></span>
<span class="source-line-no">009</span><span id="line-9">      http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="source-line-no">010</span><span id="line-10"></span>
<span class="source-line-no">011</span><span id="line-11">  Unless required by applicable law or agreed to in writing, software</span>
<span class="source-line-no">012</span><span id="line-12">  distributed under the License is distributed on an "AS IS" BASIS,</span>
<span class="source-line-no">013</span><span id="line-13">  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="source-line-no">014</span><span id="line-14">  See the License for the specific language governing permissions and</span>
<span class="source-line-no">015</span><span id="line-15">  limitations under the License.</span>
<span class="source-line-no">016</span><span id="line-16"> */</span>
<span class="source-line-no">017</span><span id="line-17"></span>
<span class="source-line-no">018</span><span id="line-18">package org.apache.commons.cli;</span>
<span class="source-line-no">019</span><span id="line-19"></span>
<span class="source-line-no">020</span><span id="line-20">/**</span>
<span class="source-line-no">021</span><span id="line-21"> * Base for Exceptions thrown during parsing of a command-line.</span>
<span class="source-line-no">022</span><span id="line-22"> */</span>
<span class="source-line-no">023</span><span id="line-23">public class ParseException extends Exception {</span>
<span class="source-line-no">024</span><span id="line-24">    /**</span>
<span class="source-line-no">025</span><span id="line-25">     * This exception {@code serialVersionUID}.</span>
<span class="source-line-no">026</span><span id="line-26">     */</span>
<span class="source-line-no">027</span><span id="line-27">    private static final long serialVersionUID = 9112808380089253192L;</span>
<span class="source-line-no">028</span><span id="line-28"></span>
<span class="source-line-no">029</span><span id="line-29">    /**</span>
<span class="source-line-no">030</span><span id="line-30">     * Construct a new {@code ParseException} with the specified detail message.</span>
<span class="source-line-no">031</span><span id="line-31">     *</span>
<span class="source-line-no">032</span><span id="line-32">     * @param message the detail message</span>
<span class="source-line-no">033</span><span id="line-33">     */</span>
<span class="source-line-no">034</span><span id="line-34">    public ParseException(final String message) {</span>
<span class="source-line-no">035</span><span id="line-35">        super(message);</span>
<span class="source-line-no">036</span><span id="line-36">    }</span>
<span class="source-line-no">037</span><span id="line-37">}</span>




























































</pre>
</div>
</main>
</body>
</html>
